site_name: Les chaînes
site_author: 'Jean-Manuel Mény'
use_directory_urls: false



nav:
    - Home: index.md
    - Chaînes: str.md
    - Accès aux éléments: acces.md
    - Parcourir: parcourir.md
    - f-string: fstring.md
#    - QCM: qcm.md
    - Pour s'entraîner:
        - Entraînement: entrainement.md
        - Palindrome: palindrome.md
        - Occurrence: occurrence.md
        - Préfixes, suffixes: prefixes.md
        - Facteurs: facteurs.md
        - Motif: motif.md
        - Anagramme: anagramme.md
        - Pangramme: pangramme.md
        - Javanais: javanais.md
        - Un peu d'html: chhtml.md
        - Robinson: robinson.md
        - Conway: conway.md







#theme: readthedocs
theme:
    name: 'material'
    language: 'fr'
    palette:
        primary: 'indigo'
        accent: 'amber'
    feature:
        tabs: false



extra_css:
    - 'style/extra.css'

extra_javascript:
  - 'https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-MML-AM_CHTML'


#https://python-markdown.github.io/extensions/
#https://squidfunk.github.io/mkdocs-material/extensions/pymdown/
#https://github.com/Python-Markdown/markdown/wiki/Third-Party-Extensions

markdown_extensions:
    - attr_list #https://python-markdown.github.io/extensions/attr_list/
    - pymdownx.arithmatex #https://squidfunk.github.io/mkdocs-material/extensions/pymdown/
    - pymdownx.tasklist:
        custom_checkbox: true
        clickable_checkbox: true
    - pymdownx.details #https://facelessuser.github.io/pymdown-extensions/extensions/details/
    - pymdownx.superfences #https://facelessuser.github.io/pymdown-extensions/extensions/superfences/
    - pymdownx.emoji:
          emoji_generator: !!python/name:pymdownx.emoji.to_svg
          #https://facelessuser.github.io/pymdown-extensions/extensions/emoji/
          #https://www.emojicopy.com/
    - meta  # https://squidfunk.github.io/mkdocs-material/extensions/metadata/
    - codehilite:
        linenums: true  # https://squidfunk.github.io/mkdocs-material/extensions/codehilite/
    - admonition  #https://squidfunk.github.io/mkdocs-material/extensions/admonition/
    - toc:
        permalink: '☘'
        baselevel: 1
        separator: "_"
